Package org.springframework.jdbc.datasource.lookup

# Interface DataSourceLookup

All Known Implementing Classes:
  `BeanFactoryDataSourceLookup`, `JndiDataSourceLookup`, `MapDataSourceLookup`, `SingleDataSourceLookup`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DataSourceLookup
Strategy interface for looking up DataSources by name.

Used, for example, to resolve data source names in JPA `persistence.xml` files.

Since:
  2.0
Author:
  Costin Leau, Juergen Hoeller
See Also:
  - `org.springframework.orm.jpa.persistenceunit.DefaultPersistenceUnitManager#setDataSourceLookup`

## Method Summary

Modifier and Type
Method
Description
`DataSource`
`getDataSource(String dataSourceName)`
Retrieve the DataSource identified by the given name.

## Method Details

### getDataSource

DataSource getDataSource(String dataSourceName) throws DataSourceLookupFailureException
Retrieve the DataSource identified by the given name.

Parameters:
  `dataSourceName` - the name of the DataSource
Returns:
  the DataSource (never `null`)
Throws:
  `DataSourceLookupFailureException` - if the lookup failed